/*******************************************************************

  Copyright (c) 2006, Hyoung-Sun Kim.
  All Rights Reserved.

  You can contact us with
  web site <http://www.voiper.co.kr>
  e-mail <voiper@voiper.co.kr>

  Hyoung-Sun Kim.

  Distributed under the terms of the GNU General Public License

*******************************************************************/

/*

	<H323Define.c>		2005-03-20,10:19

*/

#include "EpDefine.h"


#ifdef _WIN32
HS_RESULT new_StackInfo( StackInfo *pObj )
{
	if( pObj == HS_NULL ) return HS_ERR_NULL_PARAM;

	pObj->h323DemonQ = 0;
	pObj->enetDemonQ = 0;
	/*	IEndpoint, NoLockList(callList), NoLockList(rasWaitList) 's pointer
		using JUST show the state, READ ONLY on #HapiStateXXXXX# functions.
		NEVER handle the memory space! (alloc, free, ..)
	*/
	pObj->endpoint = HS_NULL;
	pObj->calls = HS_NULL;
	pObj->waits = HS_NULL;

	return HS_OK;
}

HS_RESULT delete_StackInfo( StackInfo *pObj )
{
	return HS_OK;
}

StackInfo *StackInfo_Clone( StackInfo *pObj )
{
	StackInfo *result = HS_NULL;

	if( pObj == HS_NULL ) return HS_NULL;

	result = (StackInfo*)malloc( sizeof(StackInfo) );

	if( result != HS_NULL )
	{
		result->h323DemonQ = pObj->h323DemonQ;
		result->enetDemonQ = pObj->enetDemonQ;
	}

	return result;
}
#endif/* _WIN32 */