/*******************************************************************

  Copyright (c) 2006, Hyoung-Sun Kim.
  All Rights Reserved.

  You can contact us with
  web site <http://www.voiper.co.kr>
  e-mail <voiper@voiper.co.kr>

  Hyoung-Sun Kim.

  Distributed under the terms of the GNU General Public License

*******************************************************************/

/*

	<UcharRing.h>		2006-01-10,19:38

*/

#ifndef __2006_01_10__19_38__UCHARRING_H__
#define __2006_01_10__19_38__UCHARRING_H__





#include "RtpDefine.h"





#define UcharRing_A(pObj)		(pObj->mData+pObj->mA)
#define UcharRing_Z(pObj)		(pObj->mData+pObj->mZ)
#define UcharRing_LA(pObj)		(pObj->mMax-pObj->mA)
#define UcharRing_LZ(pObj)		(pObj->mMax-pObj->mZ)

typedef struct
{
	HS_UCHAR *mData;

	HS_UINT mA;
	HS_UINT mZ;
	HS_UINT mMax;
	HS_UINT mSize;
} UcharRing;

HS_RESULT new_UcharRing(void *pObject,HS_UINT pMax);
UcharRing *newm_UcharRing(HS_UINT pMax);
HS_RESULT delete_UcharRing(void *pObject);
HS_RESULT deletem_UcharRing(void *pObject);

HS_RESULT UcharRing_Put(void *pObject,HS_UCHAR *pIn,HS_UINT pSize);
HS_RESULT UcharRing_ForcePut(void *pObject,HS_UCHAR *pIn,HS_UINT pSize);
HS_UCHAR *UcharRing_Get(void *pObject,HS_UINT pSize);





#define HS_RING_SIZE			20000





#endif/*__2006_01_10__19_38__UCHARRING_H__*/