/*******************************************************************

  Copyright (c) 2006, Hyoung-Sun Kim.
  All Rights Reserved.

  You can contact us with
  web site <http://www.voiper.co.kr>
  e-mail <voiper@voiper.co.kr>

  Hyoung-Sun Kim.

  Distributed under the terms of the GNU General Public License

*******************************************************************/

/*

	<test.c>		neskim

  : RTP Test Code

*/


#include <conio.h>

#include "RtpUI.h"





static void AppWSAStartup()
{
	WORD wVersionRequested;
	WSADATA wsaData;
	int err;
 
	wVersionRequested = MAKEWORD( 2, 2 );
 
	err = WSAStartup( wVersionRequested, &wsaData );
}





int main(int argc, char *argv[])
{
	RtpPayloadType tType;
	HS_RTP_HANDLE tHandle;

	if( argc != 5 ) return 0;

	if		( !strcmp(argv[1],"pcmu") ) tType = e_RtpPayloadType_Pcmu;
	else if	( !strcmp(argv[1],"gsm") )	tType = e_RtpPayloadType_Gsm;
	else if	( !strcmp(argv[1],"pcma") ) tType = e_RtpPayloadType_Pcma;
	else if ( !strcmp(argv[1],"g729") ) tType = e_RtpPayloadType_G729;
	else return 0;
	
	AppWSAStartup();
	tHandle = StartRtp(
		tType,tType,argv[2],
		(HS_USHORT)atoi(argv[3]),
		(HS_USHORT)atoi(argv[4]),1
	);

	getch();

	StopRtp(tHandle);
	
	return 0;
}