/*******************************************************************

  Copyright (c) 2006, Hyoung-Sun Kim.
  All Rights Reserved.

  You can contact us with
  web site <http://www.voiper.co.kr>
  e-mail <voiper@voiper.co.kr>

  Hyoung-Sun Kim.

  Distributed under the terms of the GNU General Public License

*******************************************************************/

/*

	<SipDefine.h>	2005-10-01,16:22

*/

#ifndef __2005_10_01__16_22__SIPDEFINE_H__
#define __2005_10_01__16_22__SIPDEFINE_H__

#include "HSDefine.h"
#include "HSBase.h"





#define HS_UA_HANDLE					HS_UINT
#define HS_CALL_HANDLE					HS_UINT
#define HS_TR_HANDLE					HS_UINT

#define MAX_NAME_SIZE					256
#define MAX_HEADER_NAME_SIZE			64

#define HS_DEFAULT_UDP_LISTEN_PORT		5060
#define HS_DEFAULT_TCP_LISTEN_PORT		5060





#define HS_OK_SIP							1000
#define HS_ERR_SIP							1001
#define HS_ERR_SIP_END_OF_LINE				1002
#define HS_ERR_SIP_HEADER					1003
#define HS_ERR_SIP_PAIR						1004
#define HS_ERR_SIP_NO_EXIST					1005
#define HS_ERR_SIP_NOT_SUPPORT				1006
#define HS_ERR_SIP_DUPLICATE				1007
#define HS_ERR_SIP_MAKE_MESSAGE				1008
#define HS_ERR_SIP_INVALID_ADDRESS			1009
#define HS_ERR_SIP_MAKE_OBJECT				1010
#define HS_ERR_SIP_USER						1011





#define HS_CHECK_OVER(n,a,m)		if( (n+a)>m ) return HS_ERR_OVER





#endif/*__2005_10_01__16_22__SIPDEFINE_H__*/