/*******************************************************************

  Copyright (c) 2006, Hyoung-Sun Kim.
  All Rights Reserved.

  You can contact us with
  web site <http://www.voiper.co.kr>
  e-mail <voiper@voiper.co.kr>

  Hyoung-Sun Kim.

  Distributed under the terms of the GNU General Public License

*******************************************************************/

/*

	<UaDefine.h>	2005-10-22,21:24

*/

#ifndef __2005_10_22__21_24__UADEFINE_H__
#define __2005_10_22__21_24__UADEFINE_H__



#include "SipDefine.h"
#include "SipMessage.h"
#include "SipSdp.h"



#define HS_OS_WINDOWS



#ifdef HS_OS_WINDOWS
	#undef BOOL

	#ifdef _WIN32_WCE
		#include <wce.h>
	#else
		#include <windows.h>
		#include <process.h>
	#endif

	#define HS_TID_SIP				WM_USER+2000
	#define HS_TID_SIP_TIMER_T1		HS_TID_SIP+1
	#define HS_TID_SIP_TIMER_T2		HS_TID_SIP+2
	#define HS_TID_SIP_TIMER_T4		HS_TID_SIP+3
	#define HS_TID_SIP_TIMER_A		HS_TID_SIP+4
	#define HS_TID_SIP_TIMER_B		HS_TID_SIP+5
	#define HS_TID_SIP_TIMER_C		HS_TID_SIP+6
	#define HS_TID_SIP_TIMER_D		HS_TID_SIP+7
	#define HS_TID_SIP_TIMER_E		HS_TID_SIP+8
	#define HS_TID_SIP_TIMER_F		HS_TID_SIP+9
	#define HS_TID_SIP_TIMER_G		HS_TID_SIP+10
	#define HS_TID_SIP_TIMER_H		HS_TID_SIP+11
	#define HS_TID_SIP_TIMER_I		HS_TID_SIP+12
	#define HS_TID_SIP_TIMER_J		HS_TID_SIP+13
	#define HS_TID_SIP_TIMER_K		HS_TID_SIP+14
	#define HS_TID_SIP_TIMER_MAX	HS_TID_SIP_TIMER_K+1
	#define HS_TID_SIP_REGISTER		HS_TID_SIP_TIMER_MAX

	#define HSSemaphore				CRITICAL_SECTION
	#define HSOpenSemaphore(sem)	InitializeCriticalSection(&sem)
	#define HSCloseSemaphore(sem)	DeleteCriticalSection(&sem)
	#define HSLockSemaphore(sem)	EnterCriticalSection(&sem)
	#define HSUnlockSemaphore(sem)	LeaveCriticalSection(&sem)
#endif/*HS_OS_WINDOWS*/




#define HS_SIP_TTL_MARGIN	2





#endif/*__2005_10_22__21_24__UADEFINE_H__*/