/*******************************************************************

  Copyright (c) 2006, Hyoung-Sun Kim.
  All Rights Reserved.

  You can contact us with
  web site <http://www.voiper.co.kr>
  e-mail <voiper@voiper.co.kr>

  Hyoung-Sun Kim.

  Distributed under the terms of the GNU General Public License

*******************************************************************/

/*

	<ppCbSip.h>		2006-03-07,22:18

  : callback functions for SIP UA stack.
*/

#ifndef __2006_03_07__22_18__PPCBSIP_H__
#define __2006_03_07__22_18__PPCBSIP_H__

#include "ppDefine.h"
#include "ppHandle.h"





#define HS_DEBUG_SIP
//#define HS_DEBUG_SIP_MSG




BOOL AppCallbackReceiveRawData(HS_UCHAR *pRaw, int pLen);
SipResponse AppCallbackReceiveMessageToResponse(HS_UA_HANDLE pUa,HS_CALL_HANDLE pCall,SipMessage *pMessage);
BOOL AppCallbackReceiveMessage(HS_UA_HANDLE pUa,HS_CALL_HANDLE pCall,SipMessage *pMessage);
BOOL AppCallbackSendMessage(HS_UA_HANDLE pUa,HS_CALL_HANDLE pCall,SipMessage *pMessage);
BOOL AppCallbackSendRawData(HS_UA_HANDLE pUa,HS_CALL_HANDLE pCall,HS_UCHAR *pRaw,int pLen);
void AppCallbackBnfDecodingError(HS_UCHAR* pData,int pLen);

void AppCallbackCallIncoming(HS_STACK_HANDLE pHandle,void* pCall);
void AppCallbackCallEnded(HS_UA_HANDLE pUa,HS_CALL_HANDLE pCall,SipResponse pResponse);
void AppCallbackCallRemoved(HS_UA_HANDLE pUa, HS_CALL_HANDLE pCall);
BOOL AppCallbackCallToRemove(HS_UA_HANDLE pUa,HS_CALL_HANDLE pCall,RemoveReason pReason);

void AppCallbackOutbandDtmf(HS_UA_HANDLE pUa,HS_CALL_HANDLE pCall,char *pType,char *pBody,HS_UINT pBodyLen);
void AppCallbackInstantMessage(HS_UA_HANDLE pUa,HS_CALL_HANDLE pCall,char *pType,char *pBody,HS_UINT pBodyLen);

HS_RESULT AppCallbackCheckSdp(void* pCall,SdpMessage* pSdp);
void AppCallbackOpenMedia(HS_CALL_HANDLE pCall,void* pMediaInfo);
void AppCallbackCloseMedia(HS_CALL_HANDLE pCall,void* pMediaInfo);

void AppCallbackRegisted(HS_UA_HANDLE pUa);
void AppCallbackRegisterFail(HS_UA_HANDLE pUa);

void AppCallbackUaRemoved(HS_UA_HANDLE pUa);
void AppCallbackStackInformation(HS_STACK_HANDLE pHStack);





#endif/*__2006_03_07__22_18__PPCBSIP_H__*/