/*******************************************************************

  Copyright (c) 2006, Hyoung-Sun Kim.
  All Rights Reserved.

  You can contact us with
  web site <http://www.voiper.co.kr>
  e-mail <voiper@voiper.co.kr>

  Hyoung-Sun Kim.

  Distributed under the terms of the GNU General Public License

*******************************************************************/

/*

	<H323DemonHandler.h>	2005-03-27,10:37

*/

#ifndef __2005_03_27__10_37__H323DEMONHANDLER_H__
#define __2005_03_27__10_37__H323DEMONHANDLER_H__



#include "H323Define.h"
#include "EpDefine.h"
#include "MessageHandler.h"
#include "TimerHandler.h"



/****************************************************************************************/
/*
	User Command Messages : Event Handler {
*/
HS_RESULT H323DemonEventMakeCall		(long pParam, StackInfo *pStack, IEndpoint *pEndpoint, NoLockList *pCalls, NoLockList *pWaits);
HS_RESULT H323DemonEventChangeGk		(long pParam, StackInfo *pStack, IEndpoint *pEndpoint, NoLockList *pWaits);
HS_RESULT H323DemonEventAcceptCall		(long pParam, StackInfo *pStack, IEndpoint *pEndpoint, NoLockList *pCalls, NoLockList *pWaits);
HS_RESULT H323DemonEventRemoveCall		(long pParam, StackInfo *pStack, IEndpoint *pEndpoint, NoLockList *pCalls, NoLockList *pWaits);
HS_RESULT H323DemonEventChangeBandwidth	(long pParam, StackInfo *pStack, IEndpoint *pEndpoint, NoLockList *pCalls, NoLockList *pWaits);
HS_RESULT H323DemonEventH245UserInputIndication(long pParam, StackInfo *pStack, IEndpoint *pEndpoint, NoLockList *pCalls, NoLockList *pWaits);
HS_RESULT H323DemonEventChangeAliases	(long pParam, StackInfo *pStack, IEndpoint *pEndpoint, NoLockList *pCalls, NoLockList *pWaits);
/*
	User Command Messages : Event Handler }
*/
/****************************************************************************************/



/* timer timeout message
*/
HS_RESULT H323DemonEventTimer				(long pParam, StackInfo *pStack, IEndpoint *pEndpoint, NoLockList *pCalls, NoLockList *pWaits);

/* network TCP session event
*/
HS_RESULT H323DemonEventQ931Connected		(long pParam, StackInfo *pStack, IEndpoint *pEndpoint, NoLockList *pCalls, NoLockList *pWaits);
HS_RESULT H323DemonEventH245Connected		(long pParam, StackInfo *pStack, IEndpoint *pEndpoint, NoLockList *pCalls, NoLockList *pWaits);
HS_RESULT H323DemonEventQ931Accepted		(long pParam, StackInfo *pStack, IEndpoint *pEndpoint, NoLockList *pCalls);
HS_RESULT H323DemonEventH245Accepted		(long pParam, StackInfo *pStack, IEndpoint *pEndpoint, NoLockList *pCalls, NoLockList *pWaits);
HS_RESULT H323DemonEventQ931Close			(long pParam, StackInfo *pStack, IEndpoint *pEndpoint, NoLockList *pCalls, NoLockList *pWaits);
HS_RESULT H323DemonEventH245Close			(long pParam, NoLockList *pCalls);

/* H.323 message event
*/
HS_RESULT H323DemonEventReceiveRasMessage	(long pParam, StackInfo *pStack, IEndpoint *pEndpoint, NoLockList *pCalls, NoLockList *pWaits);
HS_RESULT H323DemonEventReceiveQ931Message	(long pParam, StackInfo *pStack, IEndpoint *pEndpoint, NoLockList *pCalls, NoLockList *pWaits);
HS_RESULT H323DemonEventReceiveH245Message	(long pParam, StackInfo *pStack, IEndpoint *pEndpoint, NoLockList *pCalls, NoLockList *pWaits);



#endif/*__2005_03_27__10_37__H323DEMONHANDLER_H__*/