/*******************************************************************

  Copyright (c) 2006, Hyoung-Sun Kim.
  All Rights Reserved.

  You can contact us with
  web site <http://www.voiper.co.kr>
  e-mail <voiper@voiper.co.kr>

  Hyoung-Sun Kim.

  Distributed under the terms of the GNU General Public License

*******************************************************************/

/*

	<iGatekeeper.h>		2005-03-13,14:39

*/

#ifndef __2005_03_13__14_39__IGATEKEEPER_H__
#define __2005_03_13__14_39__IGATEKEEPER_H__



#include "H323Define.h"
#include "EpDefine.h"
#include "H323Utility.h"



typedef struct
{
	char target[256];
	BOOL registed;
	/* user can remove registration in TRY STATE(sent GRQ or RRQ and wait GXX or RXX)
	   we must remove #RasWaitSet# immediately, so we need to remember requestSeqNum of GRQ or RRQ
	   #sn# variable remember it.
	*/
	HS_USHORT sn;
} Registrar;
HS_RESULT new_Registrar( Registrar *pObj );
HS_RESULT delete_Registrar( Registrar *pObj );



typedef struct
{
	ASNH225EndpointIdentifier endpointIdentifier;
	ASNH225GatekeeperIdentifier gatekeeperIdentifier;

	Registrar	*registrar;

	BOOL	isGRQ;
	BOOL	isUseLightRRQ;

	HS_UINT attemptTime;
	HS_UINT ttl;
	BOOL	ttlForce;
} IGatekeeper;

HS_RESULT new_IGatekeeper( IGatekeeper *pObj );
HS_RESULT delete_IGatekeeper( IGatekeeper *pObj );
BOOL IGatekeeper_IsRegisted( IGatekeeper *pObj );



#endif/*__2005_03_13__14_39__IGATEKEEPER_H__*/