/*******************************************************************

  Copyright (c) 2006, Hyoung-Sun Kim.
  All Rights Reserved.

  You can contact us with
  web site <http://www.voiper.co.kr>
  e-mail <voiper@voiper.co.kr>

  Hyoung-Sun Kim.

  Distributed under the terms of the GNU General Public License

*******************************************************************/

/*

	<RtpQmsg.h>		2006-01-11,01:14

*/

#ifndef __2006_01_11__01_14__RTPQMSG_H__
#define __2006_01_11__01_14__RTPQMSG_H__





#include "RtpDefine.h"
#include "UcharRing.h"





#define HS_QM_PCM					HS_QM_USER+1
/* wparam: raw data length
   lparam: HS_UCHAR*
*/
#define HS_QM_RTP					HS_QM_PCM+1
/* wparam: 0
   lparam: null
*/
#define HS_QM_PLAY_DONE				HS_QM_RTP+1
/* wparam: 0
   lparam: null
*/
#define HS_QM_RECORD_DONE			HS_QM_PLAY_DONE+1
/* wparam: 0
   lparam: SOCKET
*/
#define HS_QM_RTP_SEND_SOCKET		HS_QM_RECORD_DONE+1
/* wparam: 0
   lparam: 'RtpDtmf' object's pointer
*/
#define HS_QM_TONE_START			HS_QM_RTP_SEND_SOCKET+1
/* wparam: 0
   lparam: null
*/
#define HS_QM_TONE_STOP				HS_QM_TONE_START+1
/* wparam: 0
   lparam: dtmf signal number
*/
#define HS_QM_DTMF_INBAND			HS_QM_TONE_STOP+1
/* wparam: 0
   lparam: dtmf signal number
*/
#define HS_QM_DTMF_RFC2833			HS_QM_DTMF_INBAND+1
/* wparam: 0
   lparam: null
*/
#define HS_QM_HOLD					HS_QM_DTMF_RFC2833+1
/* wparam: 0
   lparam: null
*/
#define HS_QM_RESUME				HS_QM_HOLD+1
#define HS_QM_RTP_MAX				HS_QM_RESUME+1





#endif/*__2006_01_11__01_14__RTPQMSG_H__*/