/*******************************************************************

  Copyright (c) 2006, Hyoung-Sun Kim.
  All Rights Reserved.

  You can contact us with
  web site <http://www.voiper.co.kr>
  e-mail <voiper@voiper.co.kr>

  Hyoung-Sun Kim.

  Distributed under the terms of the GNU General Public License

*******************************************************************/

/*

	<ppUtilH323.h>		2006-02-23,23:51

  : stack command set of H.323
*/

#ifndef __2006_02_23__23_51__PPUTILH323_H__
#define __2006_02_23__23_51__PPUTILH323_H__





#include "ppDefine.h"
#include "ppQmessage.h"
#include "ppOption.h"





/*
 *
 * outbound dtmf signal
 *
 */
HS_RESULT UtilH323SetDtmfH245UserInputIndication(
	ASNH245MultimediaSystemControlMessage *pMsg, char pSignal, HS_USHORT pDuration
);
ControlMsg *UtilH323MakeDtmfH245UserInputIndication(char pSignal, HS_USHORT pDuration);





/*
 *
 * functions for getting message name
 *
 */
const char *AppGetRasMessageName(ASNH225RasMessageChoice pType);
const char *AppGetQ931MessageName(ASNH225H323_UU_PDU_h323_message_bodyChoice pChoice);
const char *AppGetH245MessageName(ControlMsg *pMsg);
const char *AppGetCallCloseReasonName(CallCloseReason pReason);

const char *AppGetCodecName(RtpPayloadType pType);





#endif/*__2006_02_23__23_51__PPUTILH323_H__*/